/* aboutdialog.cpp. This file is part of GNU Tamil OCR
 *
 * GNU Tamil OCR :  <http://gtamilocr.sourceforge.net>
 * Free, Cross-Platform, Optical Character Recognition for Tamil
 *
 * Copyright (C) 2004-2007  Visweswara R, <visweswara@users.sourceforge.net>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 3 for more details(a copy is included
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "aboutdialog.h"


gtamilAbout::gtamilAbout( wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style ) : wxDialog( parent, id, title, pos, size, style )
{
	this->SetSizeHints( wxDefaultSize, wxDefaultSize );

	wxBoxSizer* bSizer1;
	bSizer1 = new wxBoxSizer( wxVERTICAL );

	htmlBox = new wxHtmlWindow( this, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxHW_SCROLLBAR_AUTO|wxDOUBLE_BORDER|wxFULL_REPAINT_ON_RESIZE|wxRAISED_BORDER|wxTRANSPARENT_WINDOW );
	htmlBox->SetPage(wxT("<HTML><CENTER><H1>gTamilOCR</H1></CENTER><H4><CENTER>Free, Cross-Platform, Optical Character Recognition for Tamil<CENTER></H4></CENTER><H5>Copyright \
	 (C)2004-2008  Visweswara R</H5></CENTER> This program is free software: you can redistribute it and/or modify it under the terms of the \
	GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or  (at your option) any later version.\
	You should have received a copy of the GNU General Public License along with this program.  If not, see <A href=\"http://www.gnu.org/licenses/\"> \
	http://www.gnu.org/licenses/</A> </HTML>"));
	bSizer1->Add( htmlBox, 1, wxTOP|wxBOTTOM|wxEXPAND, 5 );

	sdbOK = new wxStdDialogButtonSizer();
	sdbOKOK = new wxButton( this, wxID_OK );
	sdbOK->AddButton( sdbOKOK );
	sdbOK->Realize();
	bSizer1->Add( sdbOK, 0, wxALIGN_CENTER_HORIZONTAL, 5 );

	this->SetSizer( bSizer1 );
	this->Layout();

	this->Centre( wxBOTH );
}

gtamilAbout::~gtamilAbout()
{
}
