/* aboutdialog.h. This file is part of GNU Tamil OCR
 *
 * GNU Tamil OCR :  <http://gtamilocr.sourceforge.net>
 * Free, Cross-Platform, Optical Character Recognition for Tamil
 *
 * Copyright (C) 2004-2007  Visweswara R, <visweswara@users.sourceforge.net>.
 * All Rights Reserved. DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR
 * THIS FILE HEADER.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 3 for more details(a copy is included
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __gtamilAbout__
#define __gtamilAbout__

#include <wx/intl.h>

#include <wx/html/htmlwin.h>
#include <wx/gdicmn.h>
#include <wx/font.h>
#include <wx/colour.h>
#include <wx/settings.h>
#include <wx/string.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/dialog.h>

///////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
/// Class gtamilAbout
///////////////////////////////////////////////////////////////////////////////
class gtamilAbout : public wxDialog
{
	private:

	protected:
		wxHtmlWindow* htmlBox;
		wxStdDialogButtonSizer* sdbOK;
		wxButton* sdbOKOK;

	public:
		gtamilAbout( wxWindow* parent, wxWindowID id = wxID_ANY, const wxString& title = _("About GNU Tamil OCR"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 588,358 ), long style = wxCAPTION|wxCLOSE_BOX|wxDEFAULT_DIALOG_STYLE|wxSTAY_ON_TOP|wxSYSTEM_MENU|wxRAISED_BORDER|wxTRANSPARENT_WINDOW );
		~gtamilAbout();

};

#endif //__gtamilAbout__
