/* gtamilocr_menutool.h. This file is part of GNU Tamil OCR
 *
 * GNU Tamil OCR :  <http://gtamilocr.sourceforge.net>
 * Free, Cross-Platform, Optical Character Recognition for Tamil
 *
 * Copyright (C) 2004-2007  Visweswara R, <visweswara@users.sourceforge.net>.
 * All Rights Reserved. DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR
 * THIS FILE HEADER.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 3 for more details(a copy is included
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <wx/wx.h>

#include "openf.xpm"
#include "save.xpm"
#include "saveas.xpm"
#include "zoomin.xpm"
#include "zoomout.xpm"
#include "skewcor.xpm"
#include "read.xpm"
#include "scan.xpm"

#include <wx/image.h>
#include <wx/statline.h>
#include <wx/spinbutt.h>
#include <wx/spinctrl.h>
#include <wx/splitter.h>
#include <wx/listctrl.h>
#include <wx/treectrl.h>
#include <wx/notebook.h>
#include <wx/grid.h>
#include <wx/toolbar.h>

#define ID_TEXT 10000
#define ID_CBCOMPACT 10001
#define ID_CBMOMENTIN 10002
#define ID_CBZONE16 10003
#define ID_CBZONE64 10004
#define ID_CBZERINIKE 10005
#define ID_CBSKELETON 10006
#define ID_CBNORMALIZED 10007
#define ID_CHECKBOX 10008
#define ID_BUTTON 10009
#define ID_LINE 10010
#define ID_PANEL 10011
#define ID_TEXTCTRL 10012
#define ID_BSAVE 10013
#define ID_BDELETE 10014
#define ID_MENU 10015
#define ID_OPEN 10016
#define ID_SAVE_IMAGE 10017
#define ID_SAVEIMAGEAS 10018
#define ID_SAVETEXTAS 10019
#define ID_QUIT 10020
#define ID_EDIT 10021
#define ID_CLEAR 10022
#define ID_REVIMAGE 10023
#define ID_ROTATE 10024
#define ID_90 10025
#define ID_180 10026
#define ID_270 10027
#define ID_SKEW 10028
#define ID_RECOGNIZE 10029
#define ID_READ 10030
#define ID_BATCH 10031
#define ID_OPTIONS 10032
#define ID_OPTION 10033
#define ID_FEATURE 10034
#define ID_VIEW 10035
#define ID_ZOOMIN 10036
#define ID_ZOOMOUT 10037
#define ID_FIT 10038
#define ID_TRAIN 10039
#define ID_SEGMENT 10040
#define ID_HELP 10041
#define ID_ABOUT 10042
#define ID_USING 10043
#define ID_TOOLOPEN 10044
#define ID_TOOLSAVE 10045
#define ID_TOOLSAVEAS 10046
#define ID_TOOLZOOMIN 10047
#define ID_TOOLZOOMOUT 10048
#define ID_TOOLSKEW 10049
#define ID_TOOLREAD 10050
#define ID_FONTS 10051

wxMenuBar *MyMenuBarFunc();
wxSizer *Trained( wxWindow *parent, bool call_fit = TRUE, bool set_sizer = TRUE );
wxSizer *Image( wxWindow *parent, bool call_fit = TRUE, bool set_sizer = TRUE );

void MyToolBarFunc( wxToolBar *parent );
wxBitmap MyBitmapsFunc( size_t index );
